package com.jy.business.capital.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.business.capital.model.dto.CapitalTransactionsDto;
import com.jy.business.capital.model.dto.CapitalTransactionsSelectDto;
import com.jy.business.capital.model.vo.CapitalTransactionsVo;

import java.util.List;

/**
 * <p>
 * 资金流水 服务类
 * </p>
 *
 * @author
 * @since 2024-10-16
 */
public interface CapitalTransactionsService {

    /**
     * 资金流水分页
     */
    Page<CapitalTransactionsVo> getPage(CapitalTransactionsSelectDto dto);

    /**
     * 资金流水明细
     */
    CapitalTransactionsVo getDetail(Long id);

    /**
     * 资金流水新增
     */
    void add(CapitalTransactionsDto dto);

    /**
     * 资金流水编辑
     */
    void edit(CapitalTransactionsDto dto);

    /**
     * 资金流水删除
     */
    void delete(List<Long> idList);

}
